<mat-toolbar color="primary">
  <button mat-icon-button [routerLink]="['/home']">
    <span>Barista App!</span>
  </button>
  <span class="spacer"></span>
  <button mat-icon-button [routerLink]="['/home']">
    <mat-icon>home</mat-icon>
    <span>Home</span>
  </button>
  <span class="spacer"></span>
  <button mat-icon-button [routerLink]="['/items']">
    <mat-icon>edit</mat-icon>
    <span>CRUD Items</span>
  </button>
  <span class="spacer"></span>
  <button mat-icon-button [routerLink]="['/discounts']">
    <mat-icon>edit</mat-icon>
    <span>CRUD Discounts</span>
  </button>
  <span class="spacer"></span>
  <button mat-raised-button [routerLink]="['/checkout']">
    <mat-icon>shopping_cart</mat-icon>
    <span>Checkout</span>
  </button>
</mat-toolbar>
<div class="router_container">
  <router-outlet></router-outlet>
</div>
